=== debian/control ===
Source: libzstd
Priority: optional
Maintainer: Debian Med Packaging <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <kdmfoss@gmail.com>,
Build-Depends: debhelper (>= 9),
               d-shlibs,
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/facebook/zstd
Vcs-Git: https://anonscm.debian.org/git/debian-med/libzstd.git
Vcs-Browser: https://anonscm.debian.org/git/debian-med/libzstd.git

Package: libzstd-dev
Architecture: any
Section: libdevel
Depends: libzstd1 (= ${binary:Version}),
         ${misc:Depends},
Description: fast lossless compression algorithm -- development files
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the headers and static library.


Package: libzstd1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: fast lossless compression algorithm
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the shared library.


Package: zstd
Architecture: any
Section: utils
Depends: libzstd1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: fast lossless compression algorithm -- CLI tool
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the CLI program implementing zstd.
