=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/libzstd_$1.tar.gz/" \
  https://github.com/facebook/zstd/releases .*/archive/v?(\d\S*)\.tar\.gz
