=== debian/changelog ===
libzstd (1.3.1+dfsg-1~ubuntu0.16.04.1) xenial; urgency=medium

  * Backport to xenial (LP: #1717040):
    - d/compat, d/control: use debhelper 9 since version 10 is only in
      xenial-backports
    - d/control, d/rules: new libzstd1-dev package. Added a Provides for
      libzstd-dev to keep d-shlibmove happy.
  * d/rules: also run the clean Makefile target in the pzstd directory.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 16 Jan 2018 21:50:37 +0000

libzstd (1.3.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Exclude examples from upstream tarball
    Closes: #869581
  * debhelper 10
  * cme fix dpkg-control
  * Standards-Version: 4.1.0 (no changes needed)
  * Fix copyright

 -- Andreas Tille <tille@debian.org>  Wed, 06 Sep 2017 15:29:29 +0200

libzstd (1.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #863159).

 -- Olivier Sallou <osallou@debian.org>  Wed, 24 May 2017 11:28:27 +0000
