=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PREFIX=/usr
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build
@@ -19,9 +19,12 @@
 	# Call d-shlibmove to comply with library packaging guide
 	d-shlibmove --commit \
 				--multiarch \
-				--devunversioned \
 				--exclude-la \
 				--movedev "debian/tmp/usr/include/*" usr/include \
 				--movedev "debian/tmp/usr/lib/pkgconfig/*" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 				debian/tmp/usr/lib/lib*.so
 	dh_install
+
+override_dh_auto_clean:
+	dh_auto_clean
+	$(MAKE) -C contrib/pzstd clean
