## libzstd 1.3.2+dfsg

=== debian/changelog ===
libzstd (1.3.2+dfsg-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.
    Closes: #882244

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2017 22:47:04 +0100

libzstd (1.3.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version
    Closes: #881187
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 07:55:32 +0100

libzstd (1.3.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Follow hint given by James Cowgill to recude number of threads
    on 32Bit MIPS architecture
    Closes: #876416

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2017 15:29:35 +0200
