=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
 Source: libzstd
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Kevin Murray <kdmfoss@gmail.com>,
            Olivier Sallou <osallou@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                d-shlibs
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/git/debian-med/libzstd.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libzstd.git
 Homepage: https://github.com/facebook/zstd
 
-Package: libzstd1-dev
+Package: libzstd-dev
 Architecture: any
 Section: libdevel
 Depends: libzstd1 (= ${binary:Version}),
          ${misc:Depends}
-Conflicts: libzstd-dev
-Provides: libzstd-dev
 Description: fast lossless compression algorithm -- development files
  Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
  real-time compression scenarios at zlib-level compression ratio.
