=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,9 @@
 	# Call d-shlibmove to comply with library packaging guide
 	d-shlibmove --commit \
 				--multiarch \
+				--devunversioned \
 				--exclude-la \
 				--movedev "debian/tmp/usr/include/*" usr/include \
 				--movedev "debian/tmp/usr/lib/pkgconfig/*" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 				debian/tmp/usr/lib/lib*.so
 	dh_install
-
-override_dh_auto_clean:
-	dh_auto_clean
-	$(MAKE) -C contrib/pzstd clean
