## libzstd 1.3.3+dfsg

=== debian/changelog ===
libzstd (1.3.3+dfsg-2ubuntu1) bionic; urgency=medium

  * Merge from Debian Unstable New queue / Vcs-Git, remaining changes:
    - d/control: New transitional package libzstd1-dev to facilitate the
    release upgrade from xenial.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Mar 2018 14:57:25 +0000

libzstd (1.3.3+dfsg-2) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Mark -dev and library packages Multi-Arch same.
  * Add libzstd1-udeb package, for btrfs-progs-udeb and others in the future.
  * Update Vcs fields for salsa.
  * Cleanup unused patches.

  [ Andreas Hasenack ]
  * d/rules: also run the clean Makefile target in the pzstd directory.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Mar 2018 14:36:45 +0000

libzstd (1.3.3+dfsg-1ubuntu1) bionic; urgency=medium

  * d/control: New transitional package libzstd1-dev to facilitate the release
    upgrade from xenial (LP: #1717040)
  * d/rules: also run the clean Makefile target in the pzstd directory.

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 02 Feb 2018 11:29:34 -0200

libzstd (1.3.3+dfsg-1) unstable; urgency=medium

  * Update File-Excluded list in d/copyright
  * New upstream version 1.3.3+dfsg, Closes: #883816
  * Refresh patches
  * Add zlib1g-dev to Build-Deps to enable gzip support in zstd, Closes: #883827

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 21 Dec 2017 14:25:26 +0100

libzstd (1.3.2+dfsg2-2) unstable; urgency=medium

  * Team upload.
  * Do not depend libzstd in zstd package since static linking seems
    to be the preferred way to create the executable
    Closes: #884876
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Thu, 21 Dec 2017 11:43:12 +0100

libzstd (1.3.2+dfsg2-1) unstable; urgency=medium

  * Update d/copyright:
    - don't strip examples from source tarball
    - note BSD and GPL-2 license for examples
  * New upstream version 1.3.2+dfsg2
    Closes: #883271
  * Drop override_dh_auto_clean in d/rules as examples are back
  * Drop 0010-do_not_make_examples.patch as examples are back
  * Remove ruby-ronn from Build-Depends, as it renders libzstd package
    not installable on many architectures.
    Use man page shipped by upstream
  * Apply cme fix dpkg, reformat 0010-do-not.. patch header,
    fix VCS-Browser field
  * Add override for manpage-has-errors-from-man lintian warning
  * Install examples with libzstd-dev

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 01 Dec 2017 17:18:39 +0100

libzstd (1.3.2+dfsg1-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Update Files-Excluded section in d/copyright
  * New upstream version 1.3.2+dfsg1
  * Update d/rules:
    - trick dh_auto_clean with empty exmaples dir
    - force man page generation
  * Add symbols file for libzstd1
  * Add 0011-skip-long-running-tests_on_hurd.patch fixing tests on gnu hurd
  * Add d/patches/0012-typos.patch fixing a typo
  * Enable autopkgtests via d/tests/control
  * Override lintian's complain about missing man pages
  * Add myself to uploaders
  * Add ruby-ronn to build-deps, needed for man page generation

  [ Andreas Tille ]
  * d/watch: Fix version mangling

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 30 Nov 2017 23:32:41 +0100
