=== debian/control ===
--- 
+++ 
@@ -1,18 +1,34 @@
 Source: libzstd
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Kevin Murray <kdmfoss@gmail.com>,
-           Olivier Sallou <osallou@debian.org>
+           Olivier Sallou <osallou@debian.org>,
+           Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               d-shlibs
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/libzstd.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libzstd.git
+               d-shlibs,
+               zlib1g-dev
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/med-team/libzstd
+Vcs-Git: https://salsa.debian.org/med-team/libzstd.git
 Homepage: https://github.com/facebook/zstd
+
+# can be dropped in Ubuntu 18.10
+Package: libzstd1-dev
+Architecture: any
+Section: oldlibs
+Depends: libzstd-dev (= ${binary:Version}),
+         ${misc:Depends}
+Description: transitional package for libzstd-dev
+ Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
+ real-time compression scenarios at zlib-level compression ratio.
+ .
+ This package is for transitional purposes and can be removed safely.
 
 Package: libzstd-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libzstd1 (= ${binary:Version}),
          ${misc:Depends}
@@ -24,6 +40,7 @@
 
 Package: libzstd1
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -33,11 +50,23 @@
  .
  This package contains the shared library.
 
+Package: libzstd1-udeb
+XC-Package-Type: udeb
+Architecture: any
+Multi-Arch: same
+Section: debian-installer
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: fast lossless compression algorithm - runtime for Debian installer
+ Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
+ real-time compression scenarios at zlib-level compression ratio.
+ .
+ This package contains the shared library for use with the Debian installer.
+
 Package: zstd
 Architecture: any
 Section: utils
-Depends: libzstd1 (= ${binary:Version}),
-         ${shlibs:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: fast lossless compression algorithm -- CLI tool
  Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
