=== debian/rules ===
--- 
+++ 
@@ -24,4 +24,12 @@
 				--movedev "debian/tmp/usr/include/*" usr/include \
 				--movedev "debian/tmp/usr/lib/pkgconfig/*" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 				debian/tmp/usr/lib/lib*.so
+	cp -r debian/libzstd1/usr debian/libzstd1-udeb/
 	dh_install
+
+override_dh_makeshlibs:
+	dh_makeshlibs -plibzstd1 --add-udeb=libzstd1-udeb
+
+override_dh_auto_clean:
+	dh_auto_clean
+	$(MAKE) -C contrib/pzstd clean
