=== debian/tests/control ===
Test-Command: zstd -b1 >/dev/null 2>&1
