## libzstd 1.3.5+dfsg

=== debian/changelog ===
libzstd (1.3.5+dfsg-1ubuntu1) cosmic; urgency=medium

  * Add libzstd1-udeb for btrfs-progs-udeb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Sep 2018 21:55:48 +0100

libzstd (1.3.5+dfsg-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Add attribuition for the patch
  * Fix varying number of threads in pzstd man page, making build reproducible
  * New upstream version 1.3.5+dfsg
  * Refresh and drop patches applied by upstream
  * Update d/zstd.lintian-overrides

  [ Balint Reczey ]
  * Update symbols file
  * Allow Invoking `zstd --list` When `stdin` is not a `tty`

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 21 Aug 2018 15:32:44 +0000

libzstd (1.3.4+dfsg-3) unstable; urgency=medium

  * Add patch provided by Chris Lamb making build reproducible,
    Closes: #897904
  * Update patch skipping heavy tests on mips(el) and hurd
  * Add patch fixing tests on GNU/Hurd
  * Drop not needed override_dh_auto_test

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 09 May 2018 19:25:10 +0200

libzstd (1.3.4+dfsg-2) unstable; urgency=medium

  * Add liblzma-dev and liblz4-dev to build-depends to enable xz and lz4 support
  * Patch tests to avoid FTBFS on mips(el) architectures
  * Use help2man for pzstd man page, drop patches providing obsolete man pages
  * Update zstd.lintian-overrides, add more binaries without man pages
  * Add override for dh_auto_test, on hurd run only simple tests
  * Update 0012-typos.patch, forward to upstream

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 02 May 2018 15:43:16 +0200

libzstd (1.3.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Mestiashvili ]
  * New upstream version 1.3.4+dfsg
  * Refresh patches, remove indexes
  * Update d/libzstd1.symbols fixing minimal-version
  * Update d/copyright, starting from 1.3.1 patent claim is removed
  * Add comments to unstable symbols

  [ Mattia Rizzolo ]
  * Update copyright after the new upstream release.

  [ Sascha Steinbiss ]
  * Remove obsolete patch.
  * Reword patch description.

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 25 Apr 2018 10:39:39 +0200
