=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,30 @@
 export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Upstream's makefiles will respect PREFIX, and this means we avoid a patch
 export PREFIX=/usr
 
+HELP2MAN = help2man --no-info --help-option="'-h'" --no-discard-stderr
+mandir := $(CURDIR)/debian/zstd/usr/share/man/man1
+
 %:
 	dh $@
 
+DH_AUTO_CONFIGURE_OPTS :=
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	DH_AUTO_CONFIGURE_OPTS += -DZSTD_BUILD_TESTS:BOOL=OFF
+endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	dh_auto_clean --sourcedirectory=contrib/pzstd
+
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) -C contrib/pzstd/ pzstd
+	dh_auto_build --sourcedirectory=contrib/pzstd/ -- pzstd
 
 override_dh_install:
 	# Call d-shlibmove to comply with library packaging guide
@@ -30,6 +43,8 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -plibzstd1 --add-udeb=libzstd1-udeb
 
-override_dh_auto_clean:
-	dh_auto_clean
-	$(MAKE) -C contrib/pzstd clean
+override_dh_installman:
+	dh_installman
+	mkdir -p $(mandir)
+	$(HELP2MAN) --name='parallelised Zstandard compression, al la pigz' contrib/pzstd/pzstd \
+	| perl -pe 's/(\(de\)compression\s\(default:)(\d+)(\))/$$1 All$$3/g' >$(mandir)/pzstd.1
